﻿/*---------------------------------------------------------------------------- 
 | THIS WILL BE BROKEN UP.. Replaces Site.css.  AppCustom should override if needed?
 | 09/2014 - Work in progress for now, but Site.css will be renamed and broken up.
 +----------------------------------------------------------------------------*/

html
{
  background: none repeat scroll 0 0 transparent;
/*height: 100%; -- causes other issues in IE7, shows horizontal scroll bars if screen resolution is low */ 
/*overflow:auto; -- removed to avoid double scrollbars in IE7 - PSR */
}
body
{
  font-size: 12px;
 	font-family: "Segoe UI", sans-serif;
  margin: 0px;
  padding: 0px;
}
a:link
{
  color: #0f60cd;
  text-decoration: underline;
}
a:visited
{
  color: #0f60cd;
  text-decoration: dotted;  
}
a:active
{
  color: #034af3;
  text-decoration: underline;
}
label 
{
  margin: 0 4px 0 0;  
}
p
{
	margin: 2px 12px 0 12px;
	padding: 0 0 7px 0;
	font-family: Verdana, Geneva, sans-serif;
	font-size:93%;
}
a:hover 
{
	text-decoration: underline;
}
ul 
{
	padding: 0;
	/* font-size:93%; */
}
/* only want spacing when uls are within body content.. define EContent */
li 
{
	margin: 0;
	padding: 0 0 0px 0;	/* CTSU - had 5, but would be better not to do this */
}
li span 
{
  color: #000;
}

/*---------------------------------------------------------------------------- 
 | HEADINGS
 +----------------------------------------------------------------------------*/
h1, h2, h3, h4, h5, h6
{
  color: #666666; /* OR INHERIT?? */
  font-variant: small-caps;
  font-weight: 200; /* REVIEW */
  text-transform: none;
  padding-bottom: 0px;
  margin-bottom: 0px;
}
h1
{
  font-size: 160%;
}
h2
{
  font-size: 140%;  
}
h3
{
  font-size: 100%;
}
h4
{
  font-size: 80%;
}
h5, h6
{
  font-size: 75%;
}

/*  
  This rule styles <h1> and <h2> tags that are the first child of the left and right table columns 
  Eliminates space above the first h1 and h2 tags.
*/
.rightColumn > h1, .rightColumn > h2, 
.leftColumn > h1, .leftColumn > h2
{
  margin-top: 0px;
}

/*---------------------------------------------------------------------------- 
 | PRIMARY LAYOUT ELEMENTS
 | NEED TO use Master div tag names or classes
 +----------------------------------------------------------------------------*/
.page
{
  width: 100%;
  background-color: #ffffff;
  margin: 0px auto 0px auto;
}
.header
{
  position: relative; /* ?? not a primary element ? */
  margin: 0px;
  padding: 0px;
  background: #4b6c9e;
  width: 100%;
}
.header h1
{
  position: relative;
  margin: 0px;
  padding: 0px;
  background-color: #f2f7fa;
  width: 100%;
  border-bottom: 1px solid #004886;
}
div.divBody
{
  clear: both; /* ?? */
}
.leftCol
{
  padding: 6px 0px;
  margin: 12px 8px 8px 8px;
  width: 200px;
  min-height: 200px;
}
.footer
{
  color: #4e5766;
  padding: 8px 0px 0px 0px;
  margin: 0px auto;
  text-align: center;
  line-height: normal;
}

body.ePageDash div.divBody 
{
  margin: 0px;
}
div.divBody
{
  margin-top: 4px;
  margin-left: 12px;
  margin-right: 8px; 
}
div.ePopup 
{
  margin-top: 0px;
  background-color: white;
}

/*----------------------------------------------------------------------------------- 
 | Menu outline
 +-----------------------------------------------------------------------------------*/
#divNav
{
  background-color: #cfe0bc;
  border-top: ridge 1px #9bba7b;
  padding-top: 3px;
  padding-left: 6px;
}
body.ePageFF #divNav 
{
  border-top: none;
  padding-top: 12px;
  padding-left: 12px;
  background-color: white;
}
/* Need to add .RadTabStrip */
.RadTabStrip_Telerik div.rtsLevel2 ul.rtsUL
{
 /* color: red !important; */
}
.RadTabStrip_Telerik div.rtsLevel1 .rtsLink 
{
  font-family: 'Open Sans', sans-serif;
  font-size: 12px!important;
}
.RadTabStrip_Telerik div.rtsLevel2 .rtsLink,
.RadTabStrip_Telerik div.rtsLevel2 li span 
{
  font-family: 'Open Sans', sans-serif;
  font-size: 12px!important;
  color: darkblue;
}


/*----------------------------------------------------------------------------------- 
 | TAB MENU - Microsoft version
 | Uses div ul li a hierarchy
 +-----------------------------------------------------------------------------------*/
div.menu ul
{
  list-style: none;
  margin: 0px;
  padding: 0px;
  width: auto;
}
div.menu li 
{
	margin: 0;
	padding: 0 0 0px 0;	
}
/* <a> are the menu items.  These used to have the menu ul li a hierarchy */
div.menu a, div.menu a:visited
{
  background-color: #465c71;
  border: 1px #4e667d solid;
  color: #dde4ec;
  display: block;
  line-height: 1.35em;
  padding: 4px 20px;
  text-decoration: none;
  white-space: nowrap;
}
div.menu a:hover
{
  background-color: #bfcbd6;
  color: #465c71;
  text-decoration: none;
}
body.ePageFF div.menu a:hover
{
  background-color: #BFE4F4;
}
div.menu a:active
{
  background-color: #465c71;
  color: #cfdbe6;
  text-decoration: none;
}
body.ePageFF div.menu a:active
{
  background-color: #BFE4F4;
}

/* FORM ELEMENTS   
----------------------------------------------------------*/
fieldset
{
  margin: 1em 0px;
  padding: 1em;
  border: 1px solid #ccc;
}
legend 
{
  font-size: 1.1em;
  font-weight: 600;
  padding: 2px 4px 8px 4px;
}
input.textEntry 
{
  width: 320px;
  border: 1px solid #ccc;
}
input.passwordEntry 
{
  width: 220px;
  border: 1px solid #ccc;
}
div.accountInfo
{
  width: 100%;
}

/* MISC  
----------------------------------------------------------*/

.clear
{
  clear: both;
}
.title
{
  display: block;
  float: left;
  text-align: left;
  width: auto;
}

/* TODO.. change to eMessageError */
/* color #dc0202 pass 508 compliance, red is not */
.failureNotification
{
  font-size: 1.2em;
  color: #dc0202; 
}
.bold
{
  font-weight: bold;
}
.submitButton
{
  text-align: right;
  padding-right: 10px;
}

section.mainContent
{
 /* background-color: #CFE0BC; */
  padding-top: 20px;
}

/* Make the whole body a gray so white panels stand out */
body.body-responsive
{
    /*background-color: #E2E7E9;*/
    background-color: white;
}

/* Turn off the default bottom margin so breadcrumbs panel lays directly against bottom edge */
.navbar.navbar-edk
{
  margin-bottom: 0px;
}

/* Overriding default nav colors using navbar-edk class to avoid overwriting defaults.
  Generated at http://bootstrap3-menu.codedorigin.com/
*/
nav.navbar-edk.navbar-inverse { background-color: #CFE0BC}
nav.navbar-edk.navbar-inverse .navbar-nav>.active>a:hover,nav.navbar-edk.navbar-inverse .navbar-nav>li>a:hover, nav.navbar-edk.navbar-inverse .navbar-nav>li>a:focus { background-color: #034782}
nav.navbar-edk.navbar-inverse .navbar-nav>.active>a,nav.navbar-edk.navbar-inverse .navbar-nav>.open>a,nav.navbar-edk.navbar-inverse .navbar-nav>.open>a, nav.navbar-edk.navbar-inverse .navbar-nav>.open>a:hover,nav.navbar-edk.navbar-inverse .navbar-nav>.open>a, nav.navbar-edk.navbar-inverse .navbar-nav>.open>a:hover, nav.navbar-edk.navbar-inverse .navbar-nav>.open>a:focus { background-color: #E3F5FB}
nav.navbar-edk .dropdown-menu { background-color: #FFFFFF}
nav.navbar-edk .dropdown-menu>li>a:hover, nav.navbar-edk .dropdown-menu>li>a:focus { background-color: #034782}
nav.navbar-edk.navbar-inverse { background-image: none; }
nav.navbar-edk .dropdown-menu>li>a:hover, nav.navbar-edk .dropdown-menu>li>a:focus { background-image: none; }
nav.navbar-edk.navbar-inverse { border-color: #034782}
nav.navbar-edk.navbar-inverse .navbar-brand { color: #034782}
nav.navbar-edk.navbar-inverse .navbar-brand:hover { color: #FFFFFF}
nav.navbar-edk.navbar-inverse .navbar-nav>li>a { color: #000000}
nav.navbar-edk.navbar-inverse .navbar-nav>li>a:hover, nav.navbar-edk.navbar-inverse .navbar-nav>li>a:focus { color: #FFFFFF}
nav.navbar-edk.navbar-inverse .navbar-nav>.active>a,nav.navbar-edk.navbar-inverse .navbar-nav>.open>a, nav.navbar-edk.navbar-inverse .navbar-nav>.open>a:hover, nav.navbar-edk.navbar-inverse .navbar-nav>.open>a:focus { color: #000000}
nav.navbar-edk.navbar-inverse .navbar-nav>.active>a:hover, nav.navbar-edk.navbar-inverse .navbar-nav>.active>a:focus { color: #FFFFFF}
nav.navbar-edk .dropdown-menu>li>a { color: #333333}
nav.navbar-edk .dropdown-menu>li>a:hover, nav.navbar-edk .dropdown-menu>li>a:focus { color: #FFFFFF}
nav.navbar-edk.navbar-inverse .navbar-nav>.dropdown>a .caret { border-top-color: #999999}
nav.navbar-edk.navbar-inverse .navbar-nav>.dropdown>a:hover .caret { border-top-color: #FFFFFF}
nav.navbar-edk.navbar-inverse .navbar-nav>.dropdown>a .caret { border-bottom-color: #999999}
nav.navbar-edk.navbar-inverse .navbar-nav>.dropdown>a:hover .caret { border-bottom-color: #FFFFFF}

/* The active node in the dropdown wasn't being colored correctly until I added this */
nav.navbar-edk.navbar-inverse .dropdown-menu > .active > a, nav.navbar-edk.navbar-inverse .dropdown-menu > .active > a:focus, nav.navbar-edk.navbar-inverse .dropdown-menu > .active > a:hover {  background-color: #E3F5FB }

/* Overriding default panel head color using panel-edk class to avoid overwriting defaults */
.panel-edk.panel-default > .panel-heading
{
  background-color: #cfe0bc;
}

.panel-edk > .panel-body
{
  /*background-color: #f6faf2*/
}